// some basic defines By ALE
#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches
{
	class Groups
      {
         units[] = {};
         weapons[] = {};
         requiredVersion = 1.10;
      };

// RusParaDes

	class ALE_RusParaDesOff
	{
		units[] = {ALE_RusParaDesOff};
		weapons[] = {};
		requiredVersion = 1.10;
	};	
	class ALE_RusParaDesSoldier
	{
		units[] = {ALE_RusParaDesSoldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesGrenadier
	{
		units[] = {ALE_RusParaDesGrenadier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesMG
	{
		units[] = {ALE_RusParaDesMG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesMark
	{
		units[] = {ALE_RusParaDesMark};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesMedic
	{
		units[] = {ALE_RusParaDesMedic};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesRPG
	{
		units[] = {ALE_RusParaDesRPG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesAT
	{
		units[] = {ALE_RusParaDesAT};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesAA
	{
		units[] = {ALE_RusParaDesAA};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class ALE_RusParaDesEngineer
	{
		units[] = {ALE_RusParaDesEngineer};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class ALE_RusParaDesHGrenadier
	{
		units[] = {ALE_RusParaDesHGrenadier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class ALE_RusParaDesBizon
	{
		units[] = {ALE_RusParaDesBizon};
		weapons[] = {};
		requiredVersion = 1.10;
	};

};
 
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierEB:Soldier{};
	class SoldierEMG:SoldierEB{};
	class SoldierEMedic:SoldierEB{};
	class SoldierELAW:SoldierEB{};
	class SoldierEAT:SoldierELAW{};
	class SoldierEAA:SoldierELAW{};
	class SoldierEMiner:SoldierEB{};
	class SoldierESaboteur:SoldierEB{};
	class SoldierESaboteurPipe:SoldierESaboteur{};
	class SoldierESniper:SoldierEB{};
	class OfficerE:SoldierEB{};
	class OfficerENight:SoldierEB{};

// RusParaDes

	class ALE_RusParaDesOff:OfficerE{
		scope=2;
            displayName="ALE RusParaDesOff";
		weapons[]={"Throw","Put","AK74SU","Binocular","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","AK74","AK74","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\ALE_RUSParaDes\RUSDP2";
      };
	class ALE_RusParaDesSoldier:SoldierEB{
		scope=2;
            displayName="ALE RusParaDesSoldier";
		weapons[]={"Throw","Put","AK74SU","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","AK74","AK74","HandGrenade","HandGrenade","PipeBomb"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesGrenadier:SoldierEB{
		scope=2;
            displayName="ALE RusParaDesGL";
		weapons[]={"Throw","Put","AK74GrenadeLauncher","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesMG:SoldierEMG{
		scope=2;
            displayName="ALE RusParaDesMG";
		weapons[]={"Throw","Put","PK","NVGoggles"};
		magazines[]={"PK","PK","PK","PK","PK"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesMark:SoldierESniper{
		scope=2;
            displayName="ALE RusParaDesMarksman";
		weapons[]={"Throw","Put","SVDDragunov","NVGoggles"};
		magazines[]={"SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","HandGrenade","HandGrenade"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesMedic:SoldierEMedic{
		scope=2;
            displayName="ALE RusParaDesMedic";
		weapons[]={"Throw","Put","AK74SU","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74"};
		weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
            model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesRPG:SoldierELAW{
		scope=2;
            displayName="ALE RusParaDesRPG";
		weapons[]={"Throw","Put","AK74SU","RPGLauncher","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","RPGLauncher","RPGLauncher","RPGLauncher"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesAT:SoldierEAT{
		scope=2;
            displayName="ALE RusParaDesAT";
		weapons[]={"Throw","Put","AK74SU","AT4Launcher","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","AT4Launcher"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesAA:SoldierEAT{
		scope=2;
            displayName="ALE RusParaDesAA";
		weapons[]={"Throw","Put","AK74SU","9K32Launcher","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","9K32Launcher"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
	class ALE_RusParaDesEngineer:SoldierEMiner{
		scope=2;
            displayName="ALE RusParaDesEngineer";
		weapons[]={"Throw","Put","AK74SU","NVGoggles"};
		magazines[]={"AK74","AK74","AK74","AK74","Mine","Mine","Mine"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
      class ALE_RusParaDesHGrenadier:SoldierEB{
		scope=2;
            displayName="ALE RusParaDesHG";
		weapons[]={"Throw","Put","6G30","NVGoggles","Binocular"};
		magazines[]={"6G30Magazine","6G30Magazine","SmokeShell","SmokeShell"};
		model="\ALE_RUSParaDes\RUSDP1";
      };
      class ALE_RusParaDesBizon:SoldierEB{
		scope=2;
            displayName="ALE RusParaDesBIZON";
		weapons[]={"Throw","Put","Bizon","NVGoggles"};
		magazines[]={"BizonMag","BizonMag","BizonMag","BizonMag","PipeBomb","PipeBomb","PipeBomb"};
		model="\ALE_RUSParaDes\RUSDP1";
      };

};

class CfgGroups
{
   class East
   {
      name="East";
       class Infantry  
       {
       name="Infantry"; 
 
         class ALE_RusParaDes
         {
            name="ALE RusParaDes Squad";
			class Unit0
			{
			name="1";
			side=0;
			vehicle="ALE_RusParaDesOff";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="ALE_RusParaDesGrenadier";
			rank="Corporal";
			position[]={-12,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="ALE_RusParaDesMG";
			rank="Corporal";
			position[]={-9,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="ALE_RusParaDesRPG";
			rank="Corporal";
			position[]={-6,-3,0};
			};
			class Unit4
			{
			name="5";
			side=0;
			vehicle="ALE_RusParaDesMedic";
			rank="Sergeant";
			position[]={-3,-3,0};
			};
			class Unit5
			{
			name="6";
			side=0;
			vehicle="ALE_RusParaDesMG";
			rank="Private";
			position[]={3,-3,0};
			};
			class Unit6
			{
			name="7";
			side=0;
			vehicle="ALE_RusParaDesGrenadier";
			rank="Private";
			position[]={6,-3,0};
			};
			class Unit7
			{
			name="8";
			side=0;
			vehicle="ALE_RusParaDesRPG";
			rank="Private";
			position[]={9,-3,0};
			};
			class Unit8
			{
			name="9";
			side=0;
			vehicle="ALE_RusParaDesSoldier";
			rank="Private";
 			position[]={12,-3,0};
			};
         };

//end of ALE_RusParaDes
       };

//end of East   
   };

//end of groups
};

//end of file
}; 
